/******************************************************************************
*
* project name:  TICT-Explorer
* file name:     menu.h
* initial date:  26/09/2003
* authors:       thomas.nussbaumer@gmx.net
*                lionel_debroux@yahoo.fr
*
* description:   menu handling routines
*
*
******************************************************************************/

#if !defined(TICTEX_MENU_H)
#define TICTEX_MENU_H

extern void DrawWindow(short x,short y,short width,short height,const char* title);
extern void InvertSelectionPopupEntry(short idx,SCR_RECT* s);
extern short DrawAndHandleInputField(short x,short y,char* buffer);
//extern short DrawAndHandleFolderSelectField(short x,short y);
extern short HandleSelectionPopup(short xpos,short ypos,const char* entries[],const char* shortcuts[]);
extern unsigned short DrawInfoPage(void);
extern unsigned short DrawAboutDialog(void);
extern unsigned short DrawHelpPage(void);

#define PASSWORD_CHANGE  0
#define PASSWORD_TEST    1
extern short HandlePassword(short mode);

#endif

//=============================================================================
// Revision History
//=============================================================================
