/******************************************************************************
*
* project name:  TICT-Explorer
* file name:     messages.c
* initial date:  18/01/2001
* author:        thomas.nussbaumer@gmx.net
*
* description:   depending on the language define this file includes the
*                corresponding language depend message file
*
*
* $Id: messages.c,v 1.8 2002/02/25 11:08:37 tnussb Exp $
*
******************************************************************************/

#include <tigcclib.h>
#include "interface.h"

#if defined(LANGUAGE_deutsch) || defined(LANGUAGE_DEUTSCH)
asm("
.data
.xdef explorer_msgs
explorer_msgs:

      .word explorer_msgs_2  - explorer_msgs
      .word explorer_msgs_3  - explorer_msgs
      .word explorer_msgs_4  - explorer_msgs
      .word explorer_msgs_5  - explorer_msgs
      .word explorer_msgs_6  - explorer_msgs
      .word explorer_msgs_7  - explorer_msgs
      .word explorer_msgs_8  - explorer_msgs
      .word explorer_msgs_9  - explorer_msgs
      .word explorer_msgs_10 - explorer_msgs
      .word explorer_msgs_11 - explorer_msgs
      .word explorer_msgs_12 - explorer_msgs
      .word explorer_msgs_13 - explorer_msgs
      .word explorer_msgs_14 - explorer_msgs
      .word explorer_msgs_15 - explorer_msgs
      .word explorer_msgs_16 - explorer_msgs
      .word explorer_msgs_17 - explorer_msgs
      .word explorer_msgs_18 - explorer_msgs
      .word explorer_msgs_19 - explorer_msgs
      .word explorer_msgs_20 - explorer_msgs
      .word explorer_msgs_21 - explorer_msgs
      .word explorer_msgs_22 - explorer_msgs
      .word explorer_msgs_23 - explorer_msgs
      .word explorer_msgs_24 - explorer_msgs
      .word explorer_msgs_25 - explorer_msgs
      .word explorer_msgs_26 - explorer_msgs
      .word explorer_msgs_27 - explorer_msgs
      .word explorer_msgs_28 - explorer_msgs
      .word explorer_msgs_29 - explorer_msgs
      .word explorer_msgs_30 - explorer_msgs
"
#if defined(MSGS_EXPLORER)
"
      .word explorer_msgs_31 - explorer_msgs
      .word explorer_msgs_32 - explorer_msgs
      .word explorer_msgs_33 - explorer_msgs
      .word explorer_msgs_34 - explorer_msgs
"
#endif
"

    explorer_msgs_2:
      .asciz \"Adress-Fehler\"

    explorer_msgs_3:
      .asciz \"Illegale Instruktion\"

    explorer_msgs_4:
      .asciz \"Division durch 0\"

    explorer_msgs_5:
      .asciz \"CHK-Instruktion\"

    explorer_msgs_6:
      .asciz \"TRAPV-Instruktion\"

    explorer_msgs_7:
      .asciz \"Trace-Flag gesetzt\"

    explorer_msgs_8:
      .asciz \"Rechte-Verletzung\"

    explorer_msgs_9:
      .asciz \"Line-1111-Emulator\"

    explorer_msgs_10:
      .asciz \"Fehlerhafter Interrupt\"

    explorer_msgs_11:
      .asciz \"Speicher-Verletzung\"

    explorer_msgs_12:
      .asciz \"Trap-5\"

    explorer_msgs_13:
      .asciz \"Trap-6\"

    explorer_msgs_14:
      .asciz \"Trap-7\"

    explorer_msgs_15:
      .asciz \"Trap-13\"

    explorer_msgs_16:
      .asciz \"Trap-14\"

    explorer_msgs_17:
      .asciz \"Trap-15\"

    explorer_msgs_18:
      .asciz \"falsche Versionsnummer\"

    explorer_msgs_19:
      .asciz \"zu wenig Speicher frei\"

    explorer_msgs_20:
      .asciz \"kann Variable nicht oeffnen\"

    explorer_msgs_21:
      .asciz \"keine gueltige ppg-Datei\"

    explorer_msgs_22:
      .asciz \"Ausfuehrung gescheitert\"

    explorer_msgs_23:
      .asciz \"Keine Ordner gefunden\"

    explorer_msgs_24:
      .asciz \"Datei in Verwendung\"

    explorer_msgs_25:
      .asciz \"Datei nicht gefunden\"

    explorer_msgs_26:
      .asciz \"ungueltige Datei tictexpl.LIB\"

    explorer_msgs_27:
      .asciz \"tictexpl.LIB nicht gefunden\"

    explorer_msgs_28:
      .asciz \"Erzeugung von TWIN-Symbol gescheitert\"

    explorer_msgs_29:
      .asciz \"Loeschen von TWIN-Symbol gescheitert\"
"
#if defined(MSGS_EXPLORER)
"
    explorer_msgs_30:
      .asciz \"viewer ebook.EXE nicht gefunden\"

    explorer_msgs_31:
      .asciz \"viewer quill.EXE nicht gefunden\"

    explorer_msgs_32:
      .asciz \"viewer scottpck.ppg nicht gefunden\"

    explorer_msgs_33:
      .asciz \"viewer tictexpv.EXE nicht gefunden\"

    explorer_msgs_34:
      .asciz \"Ausfuehrung dieser Datei verweigert\"
"
#else
"
    explorer_msgs_30:
      .asciz \"kann mich selbst nicht finden\"

"
#endif
"
");

#elif defined(LANGUAGE_spanish) || defined(LANGUAGE_SPANISH)
asm("
.data
.xdef explorer_msgs
explorer_msgs:

      .word explorer_msgs_2  - explorer_msgs
      .word explorer_msgs_3  - explorer_msgs
      .word explorer_msgs_4  - explorer_msgs
      .word explorer_msgs_5  - explorer_msgs
      .word explorer_msgs_6  - explorer_msgs
      .word explorer_msgs_7  - explorer_msgs
      .word explorer_msgs_8  - explorer_msgs
      .word explorer_msgs_9  - explorer_msgs
      .word explorer_msgs_10 - explorer_msgs
      .word explorer_msgs_11 - explorer_msgs
      .word explorer_msgs_12 - explorer_msgs
      .word explorer_msgs_13 - explorer_msgs
      .word explorer_msgs_14 - explorer_msgs
      .word explorer_msgs_15 - explorer_msgs
      .word explorer_msgs_16 - explorer_msgs
      .word explorer_msgs_17 - explorer_msgs
      .word explorer_msgs_18 - explorer_msgs
      .word explorer_msgs_19 - explorer_msgs
      .word explorer_msgs_20 - explorer_msgs
      .word explorer_msgs_21 - explorer_msgs
      .word explorer_msgs_22 - explorer_msgs
      .word explorer_msgs_23 - explorer_msgs
      .word explorer_msgs_24 - explorer_msgs
      .word explorer_msgs_25 - explorer_msgs
      .word explorer_msgs_26 - explorer_msgs
      .word explorer_msgs_27 - explorer_msgs
      .word explorer_msgs_28 - explorer_msgs
      .word explorer_msgs_29 - explorer_msgs
      .word explorer_msgs_30 - explorer_msgs
"
#if defined(MSGS_EXPLORER)
"
      .word explorer_msgs_31 - explorer_msgs
      .word explorer_msgs_32 - explorer_msgs
      .word explorer_msgs_33 - explorer_msgs
      .word explorer_msgs_34 - explorer_msgs
"
#endif
"
    explorer_msgs_2:
      .asciz \"Error de direccion\"

    explorer_msgs_3:
      .asciz \"Instruccion Ilegal\"

    explorer_msgs_4:
      .asciz \"Division por 0\"

    explorer_msgs_5:
      .asciz \"Instruccion CHK\"

    explorer_msgs_6:
      .asciz \"Instruccion TRAPV\"

    explorer_msgs_7:
      .asciz \"Trace\"

    explorer_msgs_8:
      .asciz \"Violacion de privilegios\"

    explorer_msgs_9:
      .asciz \"Linea-1111-Emulador\"

    explorer_msgs_10:
      .asciz \"Interrupcion erronea\"

    explorer_msgs_11:
      .asciz \"Violacion de memoria\"

    explorer_msgs_12:
      .asciz \"Trap-5\"

    explorer_msgs_13:
      .asciz \"Trap-6\"

    explorer_msgs_14:
      .asciz \"Trap-7\"

    explorer_msgs_15:
      .asciz \"Trap-13\"

    explorer_msgs_16:
      .asciz \"Trap-14\"

    explorer_msgs_17:
      .asciz \"Trap-15\"

    explorer_msgs_18:
      .asciz \"version incorrecta\"

    explorer_msgs_19:
      .asciz \"sin memoria\"

    explorer_msgs_20:
      .asciz \"bloqueo de variable fallido\"

    explorer_msgs_21:
      .asciz \"fichero ppg no valido\"

    explorer_msgs_22:
      .asciz \"ejecucion fallida\"

    explorer_msgs_23:
      .asciz \"no se encontraron carpetas\"

    explorer_msgs_24:
      .asciz \"fichero en uso\"

    explorer_msgs_25:
      .asciz \"fichero no encontrado\"

    explorer_msgs_26:
      .asciz \"tictexpl.LIB no valido\"

    explorer_msgs_27:
      .asciz \"tictexpl.LIB no encontrado\"

    explorer_msgs_28:
      .asciz \"creacion de TWIN-Symbol fallida\"

    explorer_msgs_29:
      .asciz \"no se puede borrar el TWIN-Symbol\"

"
#if defined(MSGS_EXPLORER)
"
    explorer_msgs_30:
      .asciz \"visor ebook.EXE no encontrado\"

    explorer_msgs_31:
      .asciz \"visor quill.EXE no encontrado\"

    explorer_msgs_32:
      .asciz \"visor scottpck.ppg no encontrado\"

    explorer_msgs_33:
      .asciz \"visor tictexpv.EXE no encontrado\"

    explorer_msgs_34:
      .asciz \"ejecucion de fichero no permitida\"

"
#else
"
    explorer_msgs_30:
      .asciz \"no me puedo encontrar\"
"
#endif
"
");

#elif defined(LANGUAGE_french) || defined(LANGUAGE_FRENCH)
asm("
.data
.xdef explorer_msgs
explorer_msgs:

      .word explorer_msgs_2  - explorer_msgs
      .word explorer_msgs_3  - explorer_msgs
      .word explorer_msgs_4  - explorer_msgs
      .word explorer_msgs_5  - explorer_msgs
      .word explorer_msgs_6  - explorer_msgs
      .word explorer_msgs_7  - explorer_msgs
      .word explorer_msgs_8  - explorer_msgs
      .word explorer_msgs_9  - explorer_msgs
      .word explorer_msgs_10 - explorer_msgs
      .word explorer_msgs_11 - explorer_msgs
      .word explorer_msgs_12 - explorer_msgs
      .word explorer_msgs_13 - explorer_msgs
      .word explorer_msgs_14 - explorer_msgs
      .word explorer_msgs_15 - explorer_msgs
      .word explorer_msgs_16 - explorer_msgs
      .word explorer_msgs_17 - explorer_msgs
      .word explorer_msgs_18 - explorer_msgs
      .word explorer_msgs_19 - explorer_msgs
      .word explorer_msgs_20 - explorer_msgs
      .word explorer_msgs_21 - explorer_msgs
      .word explorer_msgs_22 - explorer_msgs
      .word explorer_msgs_23 - explorer_msgs
      .word explorer_msgs_24 - explorer_msgs
      .word explorer_msgs_25 - explorer_msgs
      .word explorer_msgs_26 - explorer_msgs
      .word explorer_msgs_27 - explorer_msgs
      .word explorer_msgs_28 - explorer_msgs
      .word explorer_msgs_29 - explorer_msgs
      .word explorer_msgs_30 - explorer_msgs
"
#if defined(MSGS_EXPLORER)
"
      .word explorer_msgs_31 - explorer_msgs
      .word explorer_msgs_32 - explorer_msgs
      .word explorer_msgs_33 - explorer_msgs
      .word explorer_msgs_34 - explorer_msgs
"
#endif
"
    explorer_msgs_2:
      .asciz \"Erreur d'adresse\"

    explorer_msgs_3:
      .asciz \"Instruction illegale\"

    explorer_msgs_4:
      .asciz \"Division par 0\"

    explorer_msgs_5:
      .asciz \"Instruction CHK\"

    explorer_msgs_6:
      .asciz \"Instruction TRAPV\"

    explorer_msgs_7:
      .asciz \"Trace\"

    explorer_msgs_8:
      .asciz \"Violation de privilege\"

    explorer_msgs_9:
      .asciz \"Emulation 1111\"

    explorer_msgs_10:
      .asciz \"Interruption parasite\"

    explorer_msgs_11:
      .asciz \"Violation de memoire\"

    explorer_msgs_12:
      .asciz \"Trap-5\"

    explorer_msgs_13:
      .asciz \"Trap-6\"

    explorer_msgs_14:
      .asciz \"Trap-7\"

    explorer_msgs_15:
      .asciz \"Trap-13\"

    explorer_msgs_16:
      .asciz \"Trap-14\"

    explorer_msgs_17:
      .asciz \"Trap-15\"

    explorer_msgs_18:
      .asciz \"mauvais numero de version\"

    explorer_msgs_19:
      .asciz \"pas assez de memoire\"

    explorer_msgs_20:
      .asciz \"echec verrouillage variable\"

    explorer_msgs_21:
      .asciz \"fichier ppg invalide\"

    explorer_msgs_22:
      .asciz \"echec a l'execution\"

    explorer_msgs_23:
      .asciz \"dossiers non trouves\"

    explorer_msgs_24:
      .asciz \"fichier deja utilise\"

    explorer_msgs_25:
      .asciz \"fichier non trouve\"

    explorer_msgs_26:
      .asciz \"tictexpl.LIB invalide\"

    explorer_msgs_27:
      .asciz \"tictexpl.LIB non trouve\"

    explorer_msgs_28:
      .asciz \"echec duplication symbole\"

    explorer_msgs_29:
      .asciz \"echec effacement symb. duplique\"

"
#if defined(MSGS_EXPLORER)
"
    explorer_msgs_30:
      .asciz \"visionneur ebook.EXE non trouve\"

    explorer_msgs_31:
      .asciz \"visionneur quill.EXE non trouve\"

    explorer_msgs_32:
      .asciz \"visionneur scottpck.ppg non trouve\"

    explorer_msgs_33:
      .asciz \"visionneur tictexpv.EXE non trouve\"

    explorer_msgs_34:
      .asciz \"fichier non executable\"

"
#else
"
    explorer_msgs_30:
      .asciz \"je ne me trouve pas moi-meme\"
"
#endif
"
");

#elif defined(LANGUAGE_english) || defined(LANGUAGE_ENGLISH)
asm("
.data
.xdef explorer_msgs
explorer_msgs:

      .word explorer_msgs_2  - explorer_msgs
      .word explorer_msgs_3  - explorer_msgs
      .word explorer_msgs_4  - explorer_msgs
      .word explorer_msgs_5  - explorer_msgs
      .word explorer_msgs_6  - explorer_msgs
      .word explorer_msgs_7  - explorer_msgs
      .word explorer_msgs_8  - explorer_msgs
      .word explorer_msgs_9  - explorer_msgs
      .word explorer_msgs_10 - explorer_msgs
      .word explorer_msgs_11 - explorer_msgs
      .word explorer_msgs_12 - explorer_msgs
      .word explorer_msgs_13 - explorer_msgs
      .word explorer_msgs_14 - explorer_msgs
      .word explorer_msgs_15 - explorer_msgs
      .word explorer_msgs_16 - explorer_msgs
      .word explorer_msgs_17 - explorer_msgs
      .word explorer_msgs_18 - explorer_msgs
      .word explorer_msgs_19 - explorer_msgs
      .word explorer_msgs_20 - explorer_msgs
      .word explorer_msgs_21 - explorer_msgs
      .word explorer_msgs_22 - explorer_msgs
      .word explorer_msgs_23 - explorer_msgs
      .word explorer_msgs_24 - explorer_msgs
      .word explorer_msgs_25 - explorer_msgs
      .word explorer_msgs_26 - explorer_msgs
      .word explorer_msgs_27 - explorer_msgs
      .word explorer_msgs_28 - explorer_msgs
      .word explorer_msgs_29 - explorer_msgs
      .word explorer_msgs_30 - explorer_msgs
"
#if defined(MSGS_EXPLORER)
"
      .word explorer_msgs_31 - explorer_msgs
      .word explorer_msgs_32 - explorer_msgs
      .word explorer_msgs_33 - explorer_msgs
      .word explorer_msgs_34 - explorer_msgs
"
#endif
"
    explorer_msgs_2:
      .asciz \"Address-Error\"

    explorer_msgs_3:
      .asciz \"Illegal-Instruction\"

    explorer_msgs_4:
      .asciz \"Divide-By-Zero\"

    explorer_msgs_5:
      .asciz \"CHK-Instruction\"

    explorer_msgs_6:
      .asciz \"TRAPV-Instruction\"

    explorer_msgs_7:
      .asciz \"Trace\"

    explorer_msgs_8:
      .asciz \"Privilege-Violation\"

    explorer_msgs_9:
      .asciz \"Line-1111-Emulator\"

    explorer_msgs_10:
      .asciz \"Spurious-Interrupt\"

    explorer_msgs_11:
      .asciz \"Memory-Violation\"

    explorer_msgs_12:
      .asciz \"Trap-5\"

    explorer_msgs_13:
      .asciz \"Trap-6\"

    explorer_msgs_14:
      .asciz \"Trap-7\"

    explorer_msgs_15:
      .asciz \"Trap-13\"

    explorer_msgs_16:
      .asciz \"Trap-14\"

    explorer_msgs_17:
      .asciz \"Trap-15\"

    explorer_msgs_18:
      .asciz \"version number missmatch\"

    explorer_msgs_19:
      .asciz \"out of memory\"

    explorer_msgs_20:
      .asciz \"locking variable failed\"

    explorer_msgs_21:
      .asciz \"no valid ppg file\"

    explorer_msgs_22:
      .asciz \"execution failed\"

    explorer_msgs_23:
      .asciz \"no folders found\"

    explorer_msgs_24:
      .asciz \"file currently in use\"

    explorer_msgs_25:
      .asciz \"file not found\"

    explorer_msgs_26:
      .asciz \"invalid tictexpl.LIB\"

    explorer_msgs_27:
      .asciz \"tictexpl.LIB not found\"

    explorer_msgs_28:
      .asciz \"creating TWIN symbol failed\"

    explorer_msgs_29:
      .asciz \"cannot delete TWIN symbol\"

"
#if defined(MSGS_EXPLORER)
"
    explorer_msgs_30:
      .asciz \"viewer ebook.EXE not found\"

    explorer_msgs_31:
      .asciz \"viewer quill.EXE not found\"

    explorer_msgs_32:
      .asciz \"viewer scottpck.ppg not found\"

    explorer_msgs_33:
      .asciz \"viewer tictexpv.EXE not found\"

    explorer_msgs_34:
      .asciz \"file not allowed for execution\"

"
#else
"
    explorer_msgs_30:
      .asciz \"cannot find myself\"
"
#endif
"
");

#elif defined(LANGUAGE_italian) || defined(LANGUAGE_ITALIAN)
asm("
.data
.xdef explorer_msgs
explorer_msgs:

      .word explorer_msgs_2  - explorer_msgs
      .word explorer_msgs_3  - explorer_msgs
      .word explorer_msgs_4  - explorer_msgs
      .word explorer_msgs_5  - explorer_msgs
      .word explorer_msgs_6  - explorer_msgs
      .word explorer_msgs_7  - explorer_msgs
      .word explorer_msgs_8  - explorer_msgs
      .word explorer_msgs_9  - explorer_msgs
      .word explorer_msgs_10 - explorer_msgs
      .word explorer_msgs_11 - explorer_msgs
      .word explorer_msgs_12 - explorer_msgs
      .word explorer_msgs_13 - explorer_msgs
      .word explorer_msgs_14 - explorer_msgs
      .word explorer_msgs_15 - explorer_msgs
      .word explorer_msgs_16 - explorer_msgs
      .word explorer_msgs_17 - explorer_msgs
      .word explorer_msgs_18 - explorer_msgs
      .word explorer_msgs_19 - explorer_msgs
      .word explorer_msgs_20 - explorer_msgs
      .word explorer_msgs_21 - explorer_msgs
      .word explorer_msgs_22 - explorer_msgs
      .word explorer_msgs_23 - explorer_msgs
      .word explorer_msgs_24 - explorer_msgs
      .word explorer_msgs_25 - explorer_msgs
      .word explorer_msgs_26 - explorer_msgs
      .word explorer_msgs_27 - explorer_msgs
      .word explorer_msgs_28 - explorer_msgs
      .word explorer_msgs_29 - explorer_msgs
      .word explorer_msgs_30 - explorer_msgs
"
#if defined(MSGS_EXPLORER)
"
      .word explorer_msgs_31 - explorer_msgs
      .word explorer_msgs_32 - explorer_msgs
      .word explorer_msgs_33 - explorer_msgs
      .word explorer_msgs_34 - explorer_msgs
"
#endif
"
    explorer_msgs_2:
      .asciz \"Errore di indirizzo\"

    explorer_msgs_3:
      .asciz \"instruzione illegale\"

    explorer_msgs_4:
      .asciz \"Divisione per 0\"

    explorer_msgs_5:
      .asciz \"Instruzione CHK\"

    explorer_msgs_6:
      .asciz \"Instruzione TRAPV\"

    explorer_msgs_7:
      .asciz \"Trace\"

    explorer_msgs_8:
      .asciz \"violazione di privilegio\"

    explorer_msgs_9:
      .asciz \"emulazione 1111\"

    explorer_msgs_10:
      .asciz \"Falso-Interrupt\"

    explorer_msgs_11:
      .asciz \"Violazione di memoria\"

    explorer_msgs_12:
      .asciz \"Trap-5\"

    explorer_msgs_13:
      .asciz \"Trap-6\"

    explorer_msgs_14:
      .asciz \"Trap-7\"

    explorer_msgs_15:
      .asciz \"Trap-13\"

    explorer_msgs_16:
      .asciz \"Trap-14\"

    explorer_msgs_17:
      .asciz \"Trap-15\"

    explorer_msgs_18:
      .asciz \"numero di versione non adatto\"

    explorer_msgs_19:
      .asciz \"fuori memoria\"

    explorer_msgs_20:
      .asciz \"Blocco variabile fallito\"

    explorer_msgs_21:
      .asciz \"ppg file non valido\"

    explorer_msgs_22:
      .asciz \"esecuzione fallita\"

    explorer_msgs_23:
      .asciz \"nessuna cartella trovata\"

    explorer_msgs_24:
      .asciz \"file in uso\"

    explorer_msgs_25:
      .asciz \"file non trovato\"

    explorer_msgs_26:
      .asciz \"tictexpl.LIB invalido\"

    explorer_msgs_27:
      .asciz \"tictexpl.LIB non trovato\"

    explorer_msgs_28:
      .asciz \"crazione simbolo TWIN fallita\"

    explorer_msgs_29:
      .asciz \"impossibile cancellare simbolo TWIN\"

"
#if defined(MSGS_EXPLORER)
"
    explorer_msgs_30:
      .asciz \"prog ebook.EXE non trovato\"

    explorer_msgs_31:
      .asciz \"prog quill.EXE non trovato\"

    explorer_msgs_32:
      .asciz \"prog scottpck.ppg non trovato\"

    explorer_msgs_33:
      .asciz \"prog tictexpv.EXE non trovato\"

    explorer_msgs_34:
      .asciz \"file non eseguibile\"

"
#else
"
    explorer_msgs_30:
      .asciz \"non mi trovo\"
"
#endif
"
");

#elif defined(LANGUAGE_portuguese) || defined(LANGUAGE_PORTUGUESE)
asm("
.data
.xdef explorer_msgs
explorer_msgs:

      .word explorer_msgs_2  - explorer_msgs
      .word explorer_msgs_3  - explorer_msgs
      .word explorer_msgs_4  - explorer_msgs
      .word explorer_msgs_5  - explorer_msgs
      .word explorer_msgs_6  - explorer_msgs
      .word explorer_msgs_7  - explorer_msgs
      .word explorer_msgs_8  - explorer_msgs
      .word explorer_msgs_9  - explorer_msgs
      .word explorer_msgs_10 - explorer_msgs
      .word explorer_msgs_11 - explorer_msgs
      .word explorer_msgs_12 - explorer_msgs
      .word explorer_msgs_13 - explorer_msgs
      .word explorer_msgs_14 - explorer_msgs
      .word explorer_msgs_15 - explorer_msgs
      .word explorer_msgs_16 - explorer_msgs
      .word explorer_msgs_17 - explorer_msgs
      .word explorer_msgs_18 - explorer_msgs
      .word explorer_msgs_19 - explorer_msgs
      .word explorer_msgs_20 - explorer_msgs
      .word explorer_msgs_21 - explorer_msgs
      .word explorer_msgs_22 - explorer_msgs
      .word explorer_msgs_23 - explorer_msgs
      .word explorer_msgs_24 - explorer_msgs
      .word explorer_msgs_25 - explorer_msgs
      .word explorer_msgs_26 - explorer_msgs
      .word explorer_msgs_27 - explorer_msgs
      .word explorer_msgs_28 - explorer_msgs
      .word explorer_msgs_29 - explorer_msgs
      .word explorer_msgs_30 - explorer_msgs
"
#if defined(MSGS_EXPLORER)
"
      .word explorer_msgs_31 - explorer_msgs
      .word explorer_msgs_32 - explorer_msgs
      .word explorer_msgs_33 - explorer_msgs
      .word explorer_msgs_34 - explorer_msgs
"
#endif
"
    explorer_msgs_2:
      .asciz \"Erro de endereco\"

    explorer_msgs_3:
      .asciz \"Instrucao ilegal\"

    explorer_msgs_4:
      .asciz \"Divisao por zero\"

    explorer_msgs_5:
      .asciz \"Instrucao CHK\"

    explorer_msgs_6:
      .asciz \"Instrucao TRAPV\"

    explorer_msgs_7:
      .asciz \"Trace\"

    explorer_msgs_8:
      .asciz \"Violacao de privilegios\"

    explorer_msgs_9:
      .asciz \"Linha-1111-Emulador\"

    explorer_msgs_10:
      .asciz \"Interrupcao invalida\"

    explorer_msgs_11:
      .asciz \"Violacao de memoria\"

    explorer_msgs_12:
      .asciz \"Trap-5\"

    explorer_msgs_13:
      .asciz \"Trap-6\"

    explorer_msgs_14:
      .asciz \"Trap-7\"

    explorer_msgs_15:
      .asciz \"Trap-13\"

    explorer_msgs_16:
      .asciz \"Trap-14\"

    explorer_msgs_17:
      .asciz \"Trap-15\"

    explorer_msgs_18:
      .asciz \"versao incorreta\"

    explorer_msgs_19:
      .asciz \"falta de memoria\"

    explorer_msgs_20:
      .asciz \"bloqueio de var. falhou\"

    explorer_msgs_21:
      .asciz \"arquivo ppg invalido\"

    explorer_msgs_22:
      .asciz \"execucao falhou\"

    explorer_msgs_23:
      .asciz \"nenhuma pasta encontrada\"

    explorer_msgs_24:
      .asciz \"arquivo sendo usado\"

    explorer_msgs_25:
      .asciz \"arquivo nao encontrado\"

    explorer_msgs_26:
      .asciz \"tictexpl.LIB nao valido\"

    explorer_msgs_27:
      .asciz \"tictexpl.LIB nao encontrado\"

    explorer_msgs_28:
      .asciz \"falha ao criar TWIN-Symbol\"

    explorer_msgs_29:
      .asciz \"TWIN-Symbol nao pode ser deletado\"

"
#if defined(MSGS_EXPLORER)
"
    explorer_msgs_30:
      .asciz \"ebook.EXE nao encontrado\"

    explorer_msgs_31:
      .asciz \"quill.EXE nao encontrado\"

    explorer_msgs_32:
      .asciz \"scottpck.ppg nao encontrado\"

    explorer_msgs_33:
      .asciz \"tictexpv.EXE nao encontrado\"

    explorer_msgs_34:
      .asciz \"execucao de arquivo nao permitida\"

"
#else
"
    explorer_msgs_30:
      .asciz \"nao pude encontrar\"
"
#endif
"
");

#else
#error no language defined !!!
#endif

char msg_buf[80] = {};
const char* GetMsg(register short idx asm("%d0")) {
    unsigned char * ptr;

    if (idx == 0)    return NULL;
    else if (idx == 1) return TICTEX_VERSION_STRING;//explorer_msgs[1];

    asm("
    move.w %1,%%d1
    subq.w #2,%%d1
    add.w %%d1,%%d1
    lea explorer_msgs(%%pc),%%a0
    move.w 0(%%a0,%%d1.w),%0
    adda.l %%a0,%0
    ": "=a"(ptr) : "g"(idx) : "d1","a0");


    if (idx < 18) {
        sprintf(msg_buf,"FATAL: %s",ptr);
    }
    else {
        sprintf(msg_buf,"ERR: %s",ptr);
    }
    return msg_buf;
}


//=============================================================================
// Revision History
//=============================================================================
//
// $Log: messages.c,v $
// Revision 1.8  2002/02/25 11:08:37  tnussb
// changes due to portuguese version
//
// Revision 1.7  2002/02/07 18:01:18  tnussb
// generic commit
//
// Revision 1.6  2001/02/05 21:33:18  Thomas Nussbaumer
// defines now caps-lock aware (both uppercase and lowercase define handling)
//
// Revision 1.5  2001/02/04 13:11:27  Thomas Nussbaumer
// changes up to version 1.00 RC2 (see history.txt)
//
// Revision 1.4  2001/01/26 21:04:44  Thomas Nussbaumer
// changes for version 0.80 [see history.txt]
//
// Revision 1.3  2001/01/21 17:05:09  Thomas Nussbaumer
// changes related to v0.65
//
// Revision 1.2  2001/01/21 00:20:16  Thomas Nussbaumer
// additionally changes related to version 0.60
//
// Revision 1.1  2001/01/20 21:33:37  Thomas Nussbaumer
// initial version
//
//
//
