/******************************************************************************
*
* project name:  TICT-Explorer
* file name:     protect.h
* initial date:  16/01/2001
* author:        thomas.nussbaumer@gmx.net
*
* description:   header for anticrash handler
*
* $Id: protect.c,v 1.4 2002/09/10 11:28:42 tnussb Exp $
*
******************************************************************************/

#define EXCEPTION_NONE  (-1)

volatile short exception_occured = EXCEPTION_NONE;

#define RESET_EXCEPTION()     {exception_occured = EXCEPTION_NONE;}
#define EXCEPTION_TRIGGERED() (exception_occured != -1)
#define GET_EXCEPTION_CODE()  (exception_occured)


#define FLINE1111SUPPORT

typedef unsigned long PROTECTION_T[23];

extern void InstallCrashProtection(PROTECTION_T* backup);
extern void RemoveCrashProtection(PROTECTION_T* backup);
