/******************************************************************************
*
* project name:  TICT-Explorer
* file name:     extension.h
* initial date:  26/09/2003
* authors:       thomas.nussbaumer@gmx.net
*                lionel_debroux@yahoo.fr
*
* description:   handles file to extension mapping
*
*
******************************************************************************/

#if !defined(TICTEX_EXTENSION_H)
#define TICTEX_EXTENSION_H

#include "tts/ttarchive.h"  // ttarchive stuff
#include "common.h"

//-----------------------------------------------------------------------------
// DON'T CHANGE THE TYPE DEFINES, THEY ARE STORED ALSO IN THE CONFIGFILE !!
//-----------------------------------------------------------------------------
#define TYPE_NONE        0
#define TYPE_AMS_NATIVE_EXE  1
#define TYPE_PPG_EXE     2
#define TYPE_DOORS_EXE   3
#define TYPE_DOORS_LIB   4
#define TYPE_PIC         5
#define TYPE_EBOOK       6
#define TYPE_QUILL       7
#define TYPE_SCOTTFREE   8
#define TYPE_TEXT        9
#define TYPE_BASIC      10
#define TYPE_PVPIC      11

//extern short CheckForEbook(unsigned char* src, file_t* buffer);
//extern short CheckForQuill(unsigned char* src,unsigned short size,file_t* buffer);
//extern short IsPRGMVar(unsigned char* src,unsigned char* end);
extern void SetFileType(unsigned char* src,file_t* buffer,unsigned short size);

#endif

//=============================================================================
// Revision History
//=============================================================================
