/******************************************************************************
*
* project name:  TICT-Explorer
* file name:     vatutils.h
* initial date:  26/09/2003
* authors:       thomas.nussbaumer@gmx.net
*                lionel_debroux@yahoo.fr
*
* description:   utility routines dealing with the VAT
*
*
******************************************************************************/

#if !defined(TICTEX_VATUTILS_H)
#define TICTEX_VATUTILS_H

#define GenerateTIOSName StrToTokN
//extern char* GenerateTIOSName(const char* cname,char* buffer);
extern SYM_ENTRY* GetSymByName(const char* name);

#if !defined(MINIMIZE_VATUTILS)
extern SYM_ENTRY* GetSymByFolderAndName(char* folder,char* name);
extern short IsHeapLocked(char* name);
extern short IsTwinSymbol(char* name);
#endif

extern short IsEntryInUse(SYM_ENTRY* symentry);

#if !defined(MINIMIZE_VATUTILS)
extern short IsInUse(char* name);
#endif

extern volatile HANDLE __handle_to_unlock__;

#define SAVEHEAPLOCK_RESET() {__handle_to_unlock__ = 0;}

extern unsigned char* SaveHeapLock(HANDLE h);

extern void SaveHeapUnLock(void);
#endif

//=============================================================================
// Revision History
//=============================================================================
